Subject: Re: Boot failure on x86_64 (OOPS set_cpu_sibling_map() )

From: Ingo Molnar <[email-masked]>
Date: Tue, 4 Aug 2009 15:50:29 +0200

* Borislav Petkov <[email-masked]> wrote:

> Hi Ingo,
> 
> On Mon, Aug 03, 2009 at 02:07:39PM +0200, Ingo Molnar wrote:
> > The thing that was blocking this commit is really the insufficient 
> > sched-domains integration of said NUMA bits. I think the NUMA bits 
> > look good and if the EDAC tree makes use of it we can merge it in 
> > .32.
> >
> > Mind preparing a separate branch for it (.31-rc5 based) and send me 
> > a pull request so that we can share the commit between the EDAC tree 
> > and the x86 tree?
> 
> Well, Andreas says the patches need a little polishing and he'll 
> be sending updated versions soon so you can pick them up. And 
> since the EDAC MCE stuff might still change before .32 merge 
> window opens, let's synchronize our pull requests instead. In the 
> meantime, I'll be rediffing the EDAC stuff against -tip for 
> linux-next.

Would you rebase just due to this commit? No need for that, feel 
free to carry it until Andreas sends an updated version. Then i can 
put it into a separate .31-rc5 based topic that you can pull into 
the EDAC tree.

That way there are no rebases really and no dependencies.

	Ingo